Bug 1135522 (kwin) - Review Request: kwin - KDE window manager
Summary: Review Request: kwin - KDE window manager
Keywords:
Status: CLOSED RAWHIDE
Alias: kwin
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5 plasma-oxygen
TreeView+ depends on / blocked
 
Reported: 2014-08-29 14:07 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:39:24 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-08-29 14:07:12 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kwin.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kwin-5.0.1-1.fc20.src.rpm
Description: KDE window manager
Fedora Account System Username: dvratil

Comment 2 Daniel Vrátil 2014-11-12 14:07:39 UTC
Added an optional Wayland build

Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kwin.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kwin-5.1.1-2.fc20.src.rpm

Comment 3 Rex Dieter 2014-11-18 14:44:27 UTC
For the purpose of this review, I'll treat
%global wayland 0
(still missing kf5-kwayland on f21 too)

naming: ok

1. license: NOT OK, MUST use (something like):
close, but there's one file:
scripts/enforcedeco/contents/code/main.js
that is the variant where we need:
# all sources are effectively GPLv2+, except for:
# scripts/enforcedeco/contents/code/main.js
# KDE e.V. may determine that future GPL versions are accepted
License: GPLv2 or GPLv3

macros: ok, though I personally prefer
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
over
%make_install -C %{_target_platform}

sources: ok
85ec15e6ce29b1bb80f376bc6914bc7c  kwin-5.1.1.tar.xz


2. scriptlets: NOT OK, MUST add icon scriptlets, since we have in %files:
%{_datadir}/icons/hicolor/*/apps/*
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

3. -doc subpkg SHOULD be noarch


4.  SHOULD improve 
Conflicts:      kde-workspace-devel
Ideally, I'd like to avoid this altogether, but I suppose that may not be possible.  If so, please make this versioned, even if just
Conflicts:      kde-workspace-devel < 5


I think the rest looks good, please address at least the MUST/blocker items...

Comment 4 Daniel Vrátil 2014-11-18 17:09:18 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kwin.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kwin-5.1.1-3.fc20.src.rpm

- Fixed license
- Fixed scriptlets
- Fixed Conflicts in -devel
- -docs is noarch


(note that this depends on kde-workspace-4.11.14-2 update (pending atm), which splits kwin from kde-workspace into "kwin" subpackage)

Comment 5 Rex Dieter 2014-11-18 17:13:31 UTC
looks good, thanks.

APPROVED.

Comment 6 Rex Dieter 2014-11-18 17:14:55 UTC
maybe needless to say, but, probably best to way until all(most?) plasma5 pkgs are approved before actually doing any builds in rawhide (to minimize the window of pain involved in switching everything over).

Comment 7 Rex Dieter 2014-11-18 17:15:26 UTC
...probably best to *wait* ... that is :)

Comment 8 Daniel Vrátil 2014-11-19 13:58:41 UTC
New Package SCM Request
=======================
Package Name: kwin
Short Description: KDE Window Manager 
Upstream URL: https://projects.kde.org/projects/kde/workspace/kwin
Owners: dvratil ltinkl jgrulich kkofler rdieter than
Branches:
InitialCC:

Comment 9 Gwyn Ciesla 2014-11-19 14:07:08 UTC
Git done (by process-git-requests).

Comment 10 Rex Dieter 2014-12-03 19:18:09 UTC
Imported


Note You need to log in before you can comment on or make changes to this bug.